=== tests/lib/CMakeLists.txt ===
add_subdirectory(int_test1)
add_subdirectory(int_test2)
add_subdirectory(deriv_test1)
add_subdirectory(deriv_test2)
add_subdirectory(hess_test1)
add_subdirectory(hess_test2)
add_subdirectory(api_test1)
add_subdirectory(api_test2)
add_subdirectory(type1_test1)
add_subdirectory(type1_test2)
add_subdirectory(stress_test)
