=== tests/units/CMakeLists.txt ===
include_directories(${GTEST_INCLUDE_DIR})

add_subdirectory(mathutil)
add_subdirectory(multiarr)
add_subdirectory(bessel)
add_subdirectory(gshell)
add_subdirectory(ecp)
add_subdirectory(gaussquad)
add_subdirectory(generate)
