=== debian/changelog ===
libecpint (1.0.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules: Add -ffloat-store to DEB_CXXFLAGS_MAINT_APPEND on i386,
    fixing the test suite.

 -- Michael Banck <mbanck@debian.org>  Mon, 01 Mar 2021 22:05:42 +0100

libecpint (1.0.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Feb 2021 11:42:24 +0100

libecpint (1.0.4-2) unstable; urgency=medium

  * debian/control (libecpint-dev/Depends): Added libpugixml-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 19:33:01 +0100

libecpint (1.0.4-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2021 19:58:10 +0100

libecpint (1.0.2-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Tue, 13 Oct 2020 21:51:47 +0200
