=== debian/control ===
Source: libecpint
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 12),
               cmake (>= 3.0.2),
               libgtest-dev,
               libpugixml-dev,
               python3,
               sphinx
Standards-Version: 4.5.0
Homepage: https://github.com/robashaw/libecpint
Vcs-Browser: https://salsa.debian.org/debichem-team/libecpint
Vcs-Git: https://salsa.debian.org/debichem-team/libecpint.git

Package: libecpint-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpugixml-dev
Description: Effective Core Potentials integration library (development files)
 Libecpint is a library for the efficient evaluation of integrals over ab
 initio effective core potentials, using a mixture of generated, recursive code
 and Gauss-Chebyshev quadrature.
 .
 This package contains the static library, headers and cmake support files.
