=== debian/watch ===
version=3
https://github.com/robashaw/libecpint/releases .*/archive/v([\d.]+)\.tar\.gz
