=== external/CMakeLists.txt ===
add_subdirectory(Faddeeva)
