=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,11 @@
 #  Target: generate
 # ==================
 
-add_executable(generate generate.cpp
-			lib/mathutil.cpp
-			lib/angular.cpp)
+add_executable(generate
+               generate.cpp
+               lib/mathutil.cpp
+               lib/angular.cpp)
+
 set_property(TARGET generate PROPERTY CXX_STANDARD 11)
 target_include_directories(generate
   PRIVATE
@@ -49,14 +51,36 @@
     $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include/libecpint>
     $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include/libecpint>
     $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>
-  PRIVATE
-    ${PUGIXML_INCLUDE_DIR}
 )
-target_link_libraries(ecpint
- PRIVATE
-  Faddeeva
-  libpugixml
-)
+
+if (LIBECPINT_USE_CERF)
+    find_package(cerf CONFIG REQUIRED) # QUIET)  # COMPONENTS C)
+
+    if(${cerf_FOUND})
+        get_property(_loc TARGET cerf::cerf PROPERTY LOCATION)
+        message(STATUS "${Cyan}Found cerf${ColourReset}: ${_loc}")
+    else()
+        if(${CMAKE_INSIST_FIND_PACKAGE_cerf})
+            message(FATAL_ERROR "Suitable cerf could not be externally located as user insists")
+        endif()
+    endif()
+    target_compile_definitions(ecpint PRIVATE USING_CERF=1)
+    target_link_libraries(ecpint
+     PRIVATE
+      cerf::cerf
+    )
+else()
+    message(STATUS "${Cyan}Using Faddeeva${ColourReset}: internal")
+    target_link_libraries(ecpint
+     PRIVATE
+      Faddeeva
+    )
+endif()
+
+if(LIBECPINT_USE_PUGIXML)
+  target_include_directories(ecpint PRIVATE ${PUGIXML_INCLUDE_DIR})
+  target_link_libraries(ecpint PRIVATE libpugixml)
+endif()
 
 # =========
 #  Install
