=== tests/CMakeLists.txt ===
add_subdirectory(units)
add_subdirectory(lib)
