=== external/Faddeeva/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+if (NOT LIBECPINT_USE_CERF)
 add_library(Faddeeva Faddeeva.cpp)
 set_property(TARGET Faddeeva PROPERTY CXX_STANDARD 11)
 set_target_properties(Faddeeva PROPERTIES SOVERSION ${API_VERSION})
@@ -10,3 +11,4 @@
   set_property(TARGET Faddeeva PROPERTY POSITION_INDEPENDENT_CODE ON)
 endif()
 install(TARGETS Faddeeva EXPORT ecpintTargets DESTINATION ${CMAKE_INSTALL_LIBDIR})
+endif()
