=== tests/lib/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,9 @@
 add_subdirectory(hess_test1)
 add_subdirectory(hess_test2)
 add_subdirectory(api_test1)
+if (LIBECPINT_USE_PUGIXML)
 add_subdirectory(api_test2)
+add_subdirectory(stress_test)
+endif()
 add_subdirectory(type1_test1)
 add_subdirectory(type1_test2)
-add_subdirectory(stress_test)
