=== debian/changelog ===
libecpint (1.0.7-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/migrate_cxx_standard_to_targets.patch: Apply upstream
    fix to allow C++14 for GTest without disrupting C++11 elsewhere.
    (Closes: #1041121)
  * debian/control: Bump Standards-Version to 4.6.2, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 06 Sep 2023 18:11:09 -0700

libecpint (1.0.7-3) unstable; urgency=medium

  * Reupload with correct state of git repository.  

 -- Michael Banck <mbanck@debian.org>  Tue, 17 Jan 2023 11:34:58 +0100

libecpint (1.0.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake.

 -- Michael Banck <mbanck@debian.org>  Sun, 15 Jan 2023 10:43:55 +0100

libecpint (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated.
  * debian/patches/gtest_pthread.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Jan 2022 23:35:49 +0100
