=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 12),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libgtest-dev,
                libpugixml-dev,
                python3,
                sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/robashaw/libecpint
 Vcs-Browser: https://salsa.debian.org/debichem-team/libecpint
 Vcs-Git: https://salsa.debian.org/debichem-team/libecpint.git
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpugixml-dev
+Multi-Arch: same
 Description: Effective Core Potentials integration library (development files)
  Libecpint is a library for the efficient evaluation of integrals over ab
  initio effective core potentials, using a mixture of generated, recursive code
