=== debian/watch ===
version=4
https://github.com/robashaw/libecpint/tags .*/archive/refs/tags/v([\d.]+)\.tar\.gz
